Skip to main content
POST
/
api
/
startup-challenges
/
{challenge_id}
/
steps
Add Step Endpoint
curl --request POST \
  --url https://api.example.com/api/startup-challenges/{challenge_id}/steps \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "category": "<string>",
  "complexity": "medium",
  "description": "<string>",
  "notes": "<string>"
}
'
{
  "challenge_id": "<string>",
  "complexity": "low",
  "created_at": "<string>",
  "id": "<string>",
  "name": "<string>",
  "position": 123,
  "status": "todo",
  "updated_at": "<string>",
  "category": "<string>",
  "description": "<string>",
  "notes": "<string>"
}

Path Parameters

challenge_id
string
required

Body

application/json
name
string
required
Required string length: 1 - 300
category
string | null
complexity
enum<string>
default:medium
Available options:
low,
medium,
high
description
string | null
notes
string | null

Response

Successful Response

challenge_id
string
required
complexity
enum<string>
required
Available options:
low,
medium,
high
created_at
string
required
id
string
required
name
string
required
position
integer
required
status
enum<string>
required
Available options:
todo,
in_progress,
done,
skipped
updated_at
string
required
category
string | null
description
string | null
notes
string | null